# $Revision: 1.30 $, $Date: 2002/09/29 10:59:10 $
Summary:	Simple DirectMedia Layer - Sample Mixer Library
Summary(pl):	Prosta biblioteka miksera
Summary(pt_BR):	SDL - Biblioteca para mixagem
Name:		SDL_mixer
Version:	1.2.4
Release:	6
License:	LGPL
Group:		Libraries
Source0:	http://www.libsdl.org/projects/SDL_mixer/release/%{name}-%{version}.tar.gz
Patch0:		%{name}-timidity_cfg.patch
URL:		http://www.libsdl.org/projects/SDL_mixer/
BuildRequires:	SDL-devel >= 1.2.0
BuildRequires:	XFree86-devel
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	libtool
BuildRequires:	libvorbis-devel >= 1:1.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)
Obsoletes:	libSDL_mixer1.2

%define		_prefix		/usr/X11R6

%description
Due to popular demand, here is a simple multi-channel audio mixer. It
supports 4 channels of 16 bit stereo audio, plus a single channel of
music, mixed by the popular MikMod MOD, Timidity MIDI and SMPEG MP3
libraries.

%description -l pl
Prosty wielo-kanaowy mikser audio. Wspiera on 4 kanay 16 bitowego
dzwiku stereo plus jeden kana dla muzyki miksowanej przez popularny
MikMod MOD, Timitity MIDI i biblioteki SMPEG MP3.

%description -l pt_BR
Biblioteca que suporta 4 canais de udio estreo 16 bit, mais um canal
de msica, mixado pelo populares bibliotecas MOD MikMod, MIDI timidity
e SMPEG MP3.

%package devel
Summary:	Header files and more to develop SDL_mixer applications
Summary(pl):	Pliki nagwkowe do rozwoju aplikacji uywajcych SDL_mixer
Summary(pt_BR):	Bibliotecas e arquivos de incluso para desenvolvimento de aplicaes SDL
Group:		Development/Libraries
Requires:	%{name} = %{version}
Requires:	SDL-devel
Requires:	libvorbis-devel
Obsoletes:	libSDL_mixer1.2-devel

%description devel
Header files and more to develop SDL_mixer applications.

%description devel -l pl
Pliki nagwkowe do rozwoju aplikacji uywajcych SDL_mixer

%description devel -l pt_BR
Bibliotecas e arquivos de incluso para desenvolvimento de aplicaes
SDL.

%package static
Summary:	Static SDL_mixer libraries
Summary(pl):	Statyczne biblioteki SDL_mixer
Summary(pt_BR):	Bibliotecas estticas para desenvolvimento com SDL_mixer
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}

%description static
Static SDL_mixer libraries.

%description static -l pl
Statyczne biblioteki SDL_mixer.

%description static -l pt_BR
Bibliotecas estticas para desenvolvimento com SDL_mixer.

%prep
%setup -q
%patch -p1

%build
rm -f missing
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__automake}
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc README CHANGES
%attr(755,root,root) %{_bindir}/playmus
%attr(755,root,root) %{_bindir}/playwave
%attr(755,root,root) %{_libdir}/lib*.so.*.*

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/lib*.so
%attr(755,root,root) %{_libdir}/lib*.la
%{_includedir}/SDL/*

%files static
%defattr(644,root,root,755)
%{_libdir}/lib*.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: SDL_mixer.spec,v $
Revision 1.30  2002/09/29 10:59:10  kloczek
- release 6.

Revision 1.29  2002/07/21 16:52:14  kloczek
- corrected libvorbis-devel Epoch in BuildRequires rule.

Revision 1.28  2002/07/21 16:43:35  kloczek
- release 5: renbuild against libvorbis 1.0.

Revision 1.27  2002/07/14 18:22:55  kloczek
- bump release to 4,
- remove direct BuildRequires for esound-devel (this is in SDL-devel and
  SDL_mixer depend on this).

Revision 1.26  2002/07/14 18:09:05  qboosh
- updated to 1.2.4 (bugfix, few new functions)
- new %%doc, removed English "es" descriptions

Revision 1.25  2002/06/23 20:32:19  kloczek
- perl -pi -e "s/^libtoolize --copy --force/\%\{__libtoolize\}/"

Revision 1.24  2002/05/21 23:12:38  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.23  2002/05/18 16:56:47  qboosh
- removed PBProjects.tar.gz from doc (it's big and has no use on Linux)
- release 2

Revision 1.22  2002/05/11 19:54:35  kloczek
- merge translations from Conectiva.

Revision 1.21  2002/05/11 19:43:18  marcus
- updated 1.2.3

Revision 1.20  2002/03/24 23:28:13  kloczek
- perl -pi -e "s/^automake -a -c$/automake -a -c -f/"

Revision 1.19  2002/02/22 23:28:38  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.18  2002/01/20 02:30:02  kloczek
- release 3: libSDL_mixer1.2{,-devel} added to Obsoletes for allow upgrade
  from MDK.

Revision 1.17  2002/01/18 02:12:13  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.16  2002/01/13 17:20:13  kloczek
- updated to 1.2.1 (bugfix release).

Revision 1.15  2001/12/06 11:52:33  kloczek
- added BuildRequires: libvorbis-devel.

Revision 1.14  2001/12/06 10:47:21  trojan
- added Requires: libvorbis-devel in devel
- release 6

Revision 1.13  2001/10/30 01:10:42  kloczek
- release 5.

Revision 1.12  2001/10/22 08:29:50  qboosh
- adapterized, typos

Revision 1.11  2001/08/16 14:11:43  kloczek
- release 4: make spec ac 2.5x ready.

Revision 1.10  2001/06/22 01:17:12  kloczek
- bump release to 3.

Revision 1.9  2001/05/12 00:31:45  kloczek
- updated to 1.2.0.

Revision 1.8  2001/04/02 20:02:22  kloczek
- changed Buildrequires for SDL-devel to ">= 1.2.0".

Revision 1.7  2001/04/02 13:36:27  misiek
release 4; rebuild for SDL 1.2.0; stb

Revision 1.6  2001/02/06 08:36:35  kloczek
- updated to 1.1.0,
- added timidity_cfg patch with fixes for oure timidity.

Revision 1.5  2000/10/25 00:49:12  kloczek
- release3: changed install prefix to /usr/X11R6.

Revision 1.4  2000/10/06 10:03:51  kloczek
- release 2: use new rpm automation suit.

Revision 1.3  2000/07/03 19:25:46  kloczek
- updated to 1.0.6.

Revision 1.2  2000/07/02 21:04:43  kloczek
- rewrited in PLD style.

* Wed Jan 19 2000 Sam Lantinga
- converted to get package information from configure

* Sun Jan 16 2000 Hakan Tandogan <hakan@iconsult.com>
- initial spec file
